chiark / gitweb /
Test suite: run-all: record output
authorIan Jackson <ijackson@chiark.greenend.org.uk>
Sun, 14 Aug 2016 11:19:32 +0000 (12:19 +0100)
committerIan Jackson <ijackson@chiark.greenend.org.uk>
Sun, 14 Aug 2016 17:40:07 +0000 (18:40 +0100)
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
tests/run-all

index b5c5bb0..c6df386 100755 (executable)
@@ -1,8 +1,10 @@
-#!/bin/sh
+#!/bin/bash
 set -e
 # convenience script for running the tests outside adt-run
 # usage: tests/using-intree tests/run-all
 
+set -o pipefail
+
 set +e
 jcpus=`perl -MSys::CPU -we 'printf "-j%d\n",Sys::CPU::cpu_count()'`
 set -e
@@ -11,5 +13,7 @@ if [ $# != 0 ]; then
        set TESTSCRIPTS="$*"
 fi
 
-set -x
-exec make $jcpus -k -f tests/Makefile "$@"
+(
+ set -x
+ exec make $jcpus -k -f tests/Makefile "$@"
+) 2>&1 |tee tests/tmp/run-all.log